Request for +2 rights on mediawiki/* for Ladsgroup
Closed, ResolvedPublic

Subscribers
Tokens
"Like" token, awarded by Halfak."Like" token, awarded by Vituzzu."Like" token, awarded by matmarex."Like" token, awarded by Fae."Like" token, awarded by Luke081515."Like" token, awarded by MusikAnimal."Like" token, awarded by Tgr."Like" token, awarded by Volker_E."Like" token, awarded by hashar."Love" token, awarded by Lydia_Pintscher."Like" token, awarded by Addshore."Like" token, awarded by Nikerabbit."Like" token, awarded by santhosh."Like" token, awarded by bd808."Party Time" token, awarded by Elitre."Like" token, awarded by Florian."Love" token, awarded by greg."Like" token, awarded by Harej.
Assigned To
Authored By
Ladsgroup, May 20 2017

Description

I already have +2 rights on pywikibot, Wikibase and ORES extensions, and as a deployer I have +2 rights on branches and config repos. It would be good to have it to unblock other people's works as happened last night in the hackathon. I can help with review as well.

Links to Gerrit reviewed changes

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 20 2017, 10:46 AM
hoo added a comment.May 20 2017, 10:53 AM

+1 Definitively

Dereckson updated the task description. (Show Details)May 20 2017, 10:56 AM

Added links to past reviewed changes on Gerrit. Links to other repositories than core demonstrate a comprehensive, regular and sensible review activity. I'm so inclined to support this request.

greg awarded a token.May 20 2017, 10:58 AM
Florian added a subscriber: Florian.EditedMay 20 2017, 11:36 AM

+1 of course! (btw. I would support membership in mediawiki, too, which allows him to +2 mediawiki/*)

I totally missed this request until now - I've sent a notification to wikitech-l per the norm, and will aim to close it by the end of the week.

And just to clarify, there's just a "mediawiki" group, which gets +2 rights over all of mediawiki/*, not just core.

Legoktm renamed this task from Request for +2 rights on mediawiki/core (or all mediawiki repos) for Ladsgroup to Request for +2 rights on mediawiki/* for Ladsgroup.Jun 13 2017, 2:27 AM
bd808 awarded a token.Jun 13 2017, 2:51 AM
hashar added a subscriber: hashar.Jun 13 2017, 8:13 AM

I thought Amir already had +2 rights!

antoine-approve

Oh my goodness, what he would have already reviewed in all these weeks since 20 May. ;)

Tgr awarded a token.Jun 13 2017, 11:10 AM
Fae awarded a token.Jun 13 2017, 10:25 PM

I'm not happy about how T165540: Add CODE_OF_CONDUCT.md to Wikimedia repositories was handled, though it's weirdly a case of not using +2 and instead bypassing Gerrit altogether, which for some reason is apparently possible.

I'm not happy about how T165540: Add CODE_OF_CONDUCT.md to Wikimedia repositories was handled, though it's weirdly a case of not using +2 and instead bypassing Gerrit altogether, which for some reason is apparently possible.

Just as a note, bypassing gerrit is only allowed for people in the platform-engineering group, of which Amir was a member of between Jun 7, 2017 4:02 AM to Jun 8, 2017 4:10 AM (As of this writing Hashar and Chad are the only current members of the group). Amir took that action after consulting several people with +2 rights - even if you're of the opinion the action was incorrect, I dont think Amir should be blamed for it because several +2'ers were consulted and approved of it, and thats the general standard we use for when something is acceptable to merge.

Huji added a subscriber: Huji.Jun 14 2017, 2:57 AM

I am not happy with T165540 (because I think it was not announced well, and not discussed with the correct groups), but I don't think Amir's action was a reflective of a poor decision on his part. Like @hashar, I am quite surprised to know he doesn't have +2 already, and I strongly support his application to have it.

Like the above people I am also concerned about that ticket.

Like @hashar, I am quite surprised to know he doesn't have +2 already, [...]

I was surprised about this as well.

For clarity, my previous comment (T165860#3346704) and this comment are "0" on the Gerrit scale.

Just as a note, bypassing gerrit is only allowed for people in the platform-engineering group, of which Amir was a member of between Jun 7, 2017 4:02 AM to Jun 8, 2017 4:10 AM (As of this writing Hashar and Chad are the only current members of the group). Amir took that action after consulting several people with +2 rights - even if you're of the opinion the action was incorrect, I dont think Amir should be blamed for it because several +2'ers were consulted and approved of it, and thats the general standard we use for when something is acceptable to merge.

Thank you for the info.

@MZMcBride push of the Code of conduct has been coordinated with Chad/me. Given how trivial the change is, it is perfectly fine to directly push it and bypass Gerrit/CI entirely. Once done, Amir even remembered me to remove him from the Gerrit group that granted push :-]

Halfak added a subscriber: Halfak.Jun 14 2017, 4:24 PM

+1: I don't have +2 in mediawiki, but I can speak about working with @Ladsgroup on a major production service for a couple of years (ORES). In this time, @Ladsgroup has been a fantastic and level-headed collaborator. He's been reliable WRT to code review and merging -- and more importantly, he's shown strong competency in the higher-order thinking required to figure out the larger implications of merging code that *works* but might become problematic later. I also trust him to do production-level deployments when I'm unavailable. He's shown time and time again that that trust is well placed.

@Ladsgroup if you dont get CR+2 over the week-end, please poke me on Monday and I will add you to the proper Gerrit group.

Sure, thanks @hashar. And thanks everyone who supported this request, it is extremely valuable to me :)

Krenair added a comment.EditedJun 18 2017, 7:01 PM

Since I've been asked to clarify, my previous comment is indeed a -1 until the problems with the aforementioned ticket are adequately addressed. It doesn't look like the comments about it on this ticket have even been replied to by ladsgroup, ignoring them cannot be an option.

ignoring them cannot be an option.

The question of process on T165540: Add CODE_OF_CONDUCT.md to Wikimedia repositories has been asked and answered. The worst thing that happened there was that there was a miscommunication between @demon, @hashar, and @Ladsgroup as to the recommended method to submit the patches (T165540#3336220). I'm sorry that a number of people were against the process entirely, but there is no reason to try and take the resulting frustrations out on @Ladsgroup.

ignoring them cannot be an option.

The question of process on T165540: Add CODE_OF_CONDUCT.md to Wikimedia repositories has been asked and answered. The worst thing that happened there was that there was a miscommunication between @demon, @hashar, and @Ladsgroup as to the recommended method to submit the patches (T165540#3336220). I'm sorry that a number of people were against the process entirely, but there is no reason to try and take the resulting frustrations out on @Ladsgroup.

I think Krenair was looking for a response from @Ladsgroup on this ticket itself, and probably the first bullet of T165540#3350021. (@Krenair, could you clarify if there was anything else specifically?)

Since this has sat for nearly a month (mostly my fault), I think waiting a few more days for Ladsgroup to address Krenair's concerns is okay.

Mentioned in SAL (#wikimedia-releng) [2017-06-19T08:29:33Z] <hashar> Gerrit: added Ladsgroup to 'mediawiki' group - T165860

hashar closed this task as Resolved.Jun 19 2017, 8:31 AM
hashar claimed this task.

Since I've been asked to clarify, my previous comment is indeed a -1 until the problems with the aforementioned ticket are adequately addressed. It doesn't look like the comments about it on this ticket have even been replied to by ladsgroup, ignoring them cannot be an option.

Amir did the tooling part, synced with Gerrit/CI maintainers in a way to minimize the impact on the infrastructure. Bike shedding whether the code of conduct should be added or not, or how it is supposed to be added is better done in T165540.

Krenair reopened this task as Open.Jun 19 2017, 8:31 AM

It still needs to be addressed before this can be completed.

Ladsgroup added a subscriber: Tgr.Jun 19 2017, 8:38 AM

Hey, I thought my answer in T165540#3336658 would suffice. It seems it's not. I explain in more depth now:

  • The ticket to add those files in all repositories were not made by me but I thought it's a good idea to do as github also recommends it too. Whether anyone disagree, it's not the point. This phab card was open for comment or objection for a while and was added to proper projects and none (exactly zero) happened plus lots of awards, with unanimous support, I thought it's better to move on to the next step
  • I made a patch in core so we can come into a conclusion on what would be the final text of the file and added as much as possible reviewers. People discussed about text of file and finally it got merged with some +1s and one +2. In the whole process at least five to ten +2ers were notified and none objected.
  • Then I waited for around half of week and added the file into other repositories, from ORES to pywikibot, using git review system (or github pull request in case of ORES) and all got merged without any comment or objection.
  • After that, I started to make patches in gerrit for all extension. After making around ten, I realized it will take forever to merge all of them since there is more than 900 active extensions out there, so I asked @hashar, Should I push directly or go through gerrit, he said we should push directly. So, I asked for a temporarily access and I started to push directly to extensions and skins. Once I was done, I asked hashar to remove my rights.
  • I used the script that @Tgr wrote and I tried to apply @demon's comments as much as possible (check the main phab card for more details). If anything is missing, It's my fault.

Overall, whether you agree it was a good idea to add these files or not or the communication was problematic. I did all necessary steps before doing the large-scale push. I consulted with devs as much as possible. It would be better to send a notice beforehand to wikitech-l but given my previous experience with this mailing list, I unconsciously ignored this option and it's my fault.

I hope this is enough.

Krenair closed this task as Resolved.Jun 19 2017, 9:32 AM

From my phone, realised I forgot to re-close this. I am very unhappy with @hashar for ignoring me, but this ticket can be considered done.